using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IDealLogic
    {
        List<DealViewModel>? ReadList(DealSearchModel? model);
        DealViewModel? ReadElement(DealSearchModel model);
        bool Create(DealBindingModel model);
        bool Update(DealBindingModel model);
        bool Delete(DealBindingModel model);
    }
}
